#!/bin/bash

POVRAY_VERSION=latest-stable

if [ ! -d povray ]; then
	git clone --depth 1 --branch $POVRAY_VERSION https://github.com/POV-Ray/povray povray
fi

cp build.sh povray/build.sh

sudo docker build . -t povray_gcc

cd povray

sudo docker run \
  -v $PWD:/usr/src \
  povray_gcc \
  sh -c 'cd /usr/src && sh build.sh'